> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fine-tuning checkpoint

> Get details about a specific checkpoint from a fine-tuning job.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/fine_tuning/jobs/{job_id}/checkpoints/{checkpoint_id}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/fine_tuning/jobs/{job_id}/checkpoints/{checkpoint_id}:
    get:
      tags:
        - fine-tuning
      summary: Get fine-tuning checkpoint
      description: Get details about a specific checkpoint from a fine-tuning job.
      operationId: >-
        get_fine_tuning_checkpoint_v1_fine_tuning_jobs__job_id__checkpoints__checkpoint_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: checkpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Checkpoint Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/openai__types__fine_tuning__jobs__fine_tuning_job_checkpoint__FineTuningJobCheckpoint
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    openai__types__fine_tuning__jobs__fine_tuning_job_checkpoint__FineTuningJobCheckpoint:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: integer
          title: Created At
        fine_tuned_model_checkpoint:
          type: string
          title: Fine Tuned Model Checkpoint
        fine_tuning_job_id:
          type: string
          title: Fine Tuning Job Id
        metrics:
          $ref: '#/components/schemas/Metrics'
        object:
          type: string
          enum:
            - fine_tuning.job.checkpoint
          const: fine_tuning.job.checkpoint
          title: Object
        step_number:
          type: integer
          title: Step Number
      additionalProperties: true
      type: object
      required:
        - id
        - created_at
        - fine_tuned_model_checkpoint
        - fine_tuning_job_id
        - metrics
        - object
        - step_number
      title: FineTuningJobCheckpoint
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Metrics:
      properties:
        full_valid_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Full Valid Loss
        full_valid_mean_token_accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Full Valid Mean Token Accuracy
        step:
          anyOf:
            - type: number
            - type: 'null'
          title: Step
        train_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Train Loss
        train_mean_token_accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Train Mean Token Accuracy
        valid_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Valid Loss
        valid_mean_token_accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Valid Mean Token Accuracy
      additionalProperties: true
      type: object
      title: Metrics
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````